## magic-haskell 1.0.7

=== Makefile ===
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PROJECT := magic

.PHONY: all
all: setup
	./setup configure
	./setup build

PYTHON ?= python
setup: Setup.lhs $(PROJECT).cabal
	ghc -package Cabal Setup.lhs -o setup


doc: setup
	./setup haddock

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg
	-cd doc && $(MAKE) clean

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: all $(shell find . -name "*.hs") \
			$(shell find . -name "*.hsc")
	ghc6 -O2 -o testsrc/runtests -Ldist/build -odir dist/build \
	   -hidir dist/build -package mtl -idist/build -itestsrc \
	   -L/usr/lib -L/usr/lib/python2.3/site-packages \
	   -I/usr/include/python2.3 \
		-package HUnit --make testsrc/runtests.hs \
		dist/build/glue/glue.o dist/build/glue/excglue.o -lpython2.3

# dist/build/libHSMissingPy-*
test-ghc6: testsrc/runtests
	testsrc/runtests 

test-hugs:
	runhugs -98 +o -P$(PWD)/libsrc:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -Pdist/build:

interact-ghci: all
	ghci -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc

interact: interact-hugs

test: test-ghc6

genexceptions:
	runhugs genexceptions.hs

data:
	runhugs utils/genconsts.hs > Magic/Data.hsc

## magic-haskell 1.0.1

=== debian/changelog ===
magic-haskell (1.0.1) unstable; urgency=low

  * Added README to doc package.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 16 Aug 2005 05:53:18 -0500

magic-haskell (1.0.0) unstable; urgency=low

  * Initial release.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 16 Aug 2005 05:45:37 -0500

=== debian/control ===
Source: magic-haskell
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4), ghc6 (<< 6.4-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), libmagic-dev
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.4), haskell-devscripts (>= 0.5.4), libmagic-dev
Standards-Version: 3.6.2
Section: devel

Package: libghc6-magic-dev
Section: devel
Architecture: any
Suggests: magic-haskell-doc
Depends: ${haskell:Depends}, libmagic-dev, ${shlibs:Depends}
Description: File type determination library for Haskell
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 This package is built for GHC.  A Hugs package is also available
 in libhugs-magic.

Package: libhugs-magic
Section: devel
Architecture: any
Suggests: magic-haskell-doc
Depends: ${haskell:Depends}, ${shlibs:Depends}
Description: File type determination library for Haskell
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 This package is built for Hugs.  A GHC package is also available
 in libghc6-magic-dev.

Package: magic-haskell-doc
Section: devel
Architecture: all
Description: File type determination library for Haskell
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 This package provides documentation for the Haskell magic binding.

## magic-haskell 1.0.3ubuntu1

=== debian/changelog ===
magic-haskell (1.0.3ubuntu1) dapper; urgency=low

  * Adding a patch from Francois-Denis Gonthier to properly
    escapes the email adresses in haddock files
    (closes: lp#38783).
    See ubuntu_patches/10_magic-haskell-haddock-escapes.patch for 
    reference.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Tue,  9 May 2006 13:13:52 +0200

magic-haskell (1.0.3build1) dapper; urgency=low

  * Rebuild for registered/unregistered change of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Wed, 12 Apr 2006 16:19:07 +0200

magic-haskell (1.0.3) unstable; urgency=low

  * Rebuilt against ghc6 6.4.1.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 17 Oct 2005 00:02:45 -0500

magic-haskell (1.0.2) unstable; urgency=low

  * Tightened up build-deps on haskell-devscripts due to a bug in that
    package.  Closes: #326795.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  6 Sep 2005 10:21:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: magic-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4), ghc6 (<< 6.4-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), libmagic-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.4), haskell-devscripts (>= 0.5.4), libmagic-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.10), libmagic-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.10), libmagic-dev
 Standards-Version: 3.6.2
 Section: devel

## magic-haskell 1.0.3ubuntu3

=== debian/changelog ===
magic-haskell (1.0.3ubuntu3) edgy; urgency=low

  * Merge from debian unstable.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu, 10 Aug 2006 09:28:41 -0500

magic-haskell (1.0.3ubuntu2) edgy; urgency=low

  * Merge from debian unstable.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed,  9 Aug 2006 18:27:39 +1000

magic-haskell (1.0.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update build dependency on ghc6 (Closes: #379265).

 -- Luk Claes <luk@debian.org>  Wed,  2 Aug 2006 23:22:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: magic-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.10), libmagic-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.2-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.10), libmagic-dev
 Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.10), libmagic-dev
 Standards-Version: 3.6.2
 Section: devel

## magic-haskell 1.0.5

=== debian/changelog ===
magic-haskell (1.0.5) unstable; urgency=low

  * Update for GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 20 Oct 2006 09:58:03 -0500

magic-haskell (1.0.4) unstable; urgency=medium

  * ACK NMU -- Thanks, Luk.  Closes: #379265.
  * Escape @ signs in email addresses in Haddock comments.  Closes: #361573.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  4 Sep 2006 09:28:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: magic-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.2-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.10), libmagic-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.10), libmagic-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.10), libmagic-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.6), haskell-devscripts (>= 0.5.10), libmagic-dev
 Standards-Version: 3.6.2
 Section: devel

## magic-haskell 1.0.6

=== debian/changelog ===
magic-haskell (1.0.6) unstable; urgency=low

  * Update for new ghc 6.6.1.  Closes: #427322.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 04:07:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: magic-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.10), libmagic-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.10), libmagic-dev
 Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.6), haskell-devscripts (>= 0.5.10), libmagic-dev
 Standards-Version: 3.6.2
 Section: devel

## magic-haskell 1.0.7

=== debian/changelog ===
magic-haskell (1.0.7) unstable; urgency=low

  * Update for GHC 6.8.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 10:23:33 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: magic-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.10), libmagic-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.6), haskell-devscripts (>= 0.5.10), libmagic-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.6), libmagic-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.5.10), libmagic-dev
 Standards-Version: 3.6.2
 Section: devel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	#make test

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc
	#make test-hugs

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i
	#make test-hugs

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## magic-haskell 1.0.7.1

=== debian/changelog ===
magic-haskell (1.0.7.1) unstable; urgency=high

  * Updating for new GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 10:21:18 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: magic-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.6), libmagic-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.5.10), libmagic-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.15), libmagic-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), libmagic-dev
 Standards-Version: 3.6.2
 Section: devel

## magic-haskell 1.0.8

=== debian/changelog ===
magic-haskell (1.0.8-12) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:53:00 +0200

magic-haskell (1.0.8-11) unstable; urgency=low

  * Convert to dpkg 3.0 (quilt) format 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 16:06:37 +0200

magic-haskell (1.0.8-10) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:47 +0200

magic-haskell (1.0.8-9) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Change Vcs headers to Darcs
  * Added watch file

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 16:29:48 +0100

magic-haskell (1.0.8-8) unstable; urgency=low

  [ Joachim Breitner ]
  * Let libghc-magic-dev depend on libmagic-dev.

  [ Clint Adams ]
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Thu, 23 Feb 2012 10:41:06 -0500

magic-haskell (1.0.8-7) unstable; urgency=low

  * [af9511b] debian/control: ghc6 → ghc for the GHC 7 transition
  * [0b97d82] d/control: Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Mon, 23 May 2011 14:57:53 +0100

magic-haskell (1.0.8-6) unstable; urgency=low

  * Reincorporate 1.0.8-4.
  * debian/control: Make libghc6-magic-doc conflict with magic-haskell-
    doc (<< 1.0.8-4).
  * control: Bump Standards-Version to 3.9.0, no changes required.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Sat, 07 Aug 2010 17:45:39 -0300

magic-haskell (1.0.8-5) unstable; urgency=low

  * debian/control: Make libghc6-magic-doc conflict with magic-haskell-
    doc (<< 1.0.8-4).
  * control: Bump Standards-Version to 3.9.0, no changes required.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 06 Aug 2010 15:02:39 -0300

magic-haskell (1.0.8-4) unstable; urgency=low

  * debian/control: libghc6-magic-doc: Add ${haskell:Recommends} and
    Suggests variables.
  * debian/control: libghc6-magic-doc: Replaces, Provides and Conflicts
    with magic-haskell-doc.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Sun, 14 Mar 2010 17:30:59 -0300

magic-haskell (1.0.8-3) unstable; urgency=low

  [ Iain Lane ]
  * debian/control:
    + Disable hugs library as the DHG no longer supports Hugs, and it does not
      work with the new Cabal. (Closes: #571360)
    + Use haskell substvars and depend on haskell-devscripts >= 0.7 for
      provides support
    + Clean up build-deps
    + Standards-Version bump to 3.8.4, no changes required

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Include Haskell preface in Description:.
  * debian/control: Remove mention to libhugs-magic.
  * debian/control: Include -prof package.
  * Rename -doc package.
  * debian/control: Include Build-Depends-Indep: in ghc6-doc.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Thu, 11 Mar 2010 17:57:34 -0300

magic-haskell (1.0.8-2) unstable; urgency=low

  * debian/rules
    - Convert to hlibrary.mk (dh_haskell was removed to haskell-devscripts).
  * debian/control
    - Depend on haskell-devscripts >= 0.6.18.
    - Move Build-Depends-Indeps to Build-Depends.
    - Add hscolour to build deps.
    - Standards-Version 3.8.3
    - Section haskell.
   * debian/compat
    - Version 5

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue,  1 Dec 2009 05:32:57 +1100

magic-haskell (1.0.8-1) unstable; urgency=low

  * Switched to regular non-native package.
  * Removed old configure parameter.  Closes: #522475.
  * Switching to team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Aug 2009 15:56:56 -0500

=== debian/control ===
Source: magic-haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 9),
 cdbs,
 haskell-devscripts (>= 0.8.15),
 ghc,
 ghc-prof,
 libmagic-dev
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Section: haskell
Homepage: http://hackage.haskell.org/package/magic
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/magic
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/magic

Package: libghc-magic-dev
Section: haskell
Architecture: any
Depends: ${misc:Depends}, ${haskell:Depends}, ${shlibs:Depends}, libmagic-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: File type determination library for Haskell${haskell:ShortBlurb}
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 ${haskell:Blurb}

Package: libghc-magic-prof
Section: haskell
Architecture: any
Depends: ${misc:Depends}, ${haskell:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: File type determination library for Haskell${haskell:ShortBlurb}
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 ${haskell:Blurb}

#Package: libhugs-magic
#Section: haskell
#Architecture: any
#Depends: ${misc:Depends}, ${haskell:Depends}, ${shlibs:Depends}
#Suggests: ${haskell:Suggests}
#Description: File type determination library for Haskell${haskell:ShortBlurb}
# This package provides a Haskell interface to the C libmagic library.
# With it, you can determine the type of a file by examining its contents
# rather than its name.  The Haskell interface provides a full-featured
# binding.
# .
# This package is built for Hugs.  A GHC package is also available
# in libghc-magic-dev.

Package: libghc-magic-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: magic-haskell-doc
Replaces: magic-haskell-doc (<< 1.0.8-4)
Conflicts: magic-haskell-doc (<< 1.0.8-4)
Description: File type determination library for Haskell${haskell:ShortBlurb}
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|magic-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/magic \
    ([\d\.]*\d)/

## magic-haskell 1.1

=== debian/changelog ===
magic-haskell (1.1-9build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 02:02:21 +0000

magic-haskell (1.1-9build1) groovy; urgency=medium

  * No change rebuild against new ghc ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Jul 2020 14:46:48 +0100

magic-haskell (1.1-9) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 14 Jun 2020 16:17:58 +0300

magic-haskell (1.1-8) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:27:15 +0300

magic-haskell (1.1-7) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:13 -0400

magic-haskell (1.1-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:21 -0400

magic-haskell (1.1-5) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Fri, 14 Oct 2016 14:45:07 -0400

magic-haskell (1.1-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:22 -0500

magic-haskell (1.1-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:14 +0200

magic-haskell (1.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:59 +0200

magic-haskell (1.1-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 22 Dec 2014 18:23:14 +0100

magic-haskell (1.0.8-13) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:59 +0100

=== debian/control ===
Source: magic-haskell
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libmagic-dev,
Build-Depends-Indep: ghc-doc
Standards-Version: 4.5.0
Section: haskell
Homepage: http://hackage.haskell.org/package/magic
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/magic-haskell]
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/magic-haskell

Package: libghc-magic-dev
Section: haskell
Architecture: any
Depends: libmagic-dev, ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: File type determination library for Haskell${haskell:ShortBlurb}
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 ${haskell:Blurb}

Package: libghc-magic-prof
Section: haskell
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: File type determination library for Haskell${haskell:ShortBlurb}
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 ${haskell:Blurb}

Package: libghc-magic-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: magic-haskell-doc
Replaces: magic-haskell-doc (<< 1.0.8-4)
Conflicts: magic-haskell-doc (<< 1.0.8-4)
Description: File type determination library for Haskell${haskell:ShortBlurb}
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
https://hackage.haskell.org/package/magic/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
